# Uses of Interface
org.osgi.service.remoteserviceadmin.ExportReference

Packages that use ExportReference
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.osgi.service.remoteserviceadmin
Remote Service Admin Package Version 1.1.

## Uses of ExportReference in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement ExportReference
Modifier and Type
Class
Description
`class`
`RemoteServiceAdmin.ExportReference`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return ExportReference
Modifier and Type
Method
Description
`ExportReference`
RemoteServiceAdmin.ExportRegistration.`getExportReference()`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return types with arguments of type ExportReference
Modifier and Type
Method
Description
`Collection<ExportReference>`
RemoteServiceAdmin.`getExportedServices()`
Constructors in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type ExportReference
Modifier
Constructor
Description
``
`RemoteServiceAdminEvent(ID containerID, int type, Bundle source, ExportReference exportReference, Throwable exception, EndpointDescription endpointDescription)`

## Uses of ExportReference in org.osgi.service.remoteserviceadmin

Methods in org.osgi.service.remoteserviceadmin that return ExportReference
Modifier and Type
Method
Description
`ExportReference`
ExportRegistration.`getExportReference()`
Return the Export Reference for the exported service.
`ExportReference`
RemoteServiceAdminEvent.`getExportReference()`
Return the Export Reference for this event.
Methods in org.osgi.service.remoteserviceadmin that return types with arguments of type ExportReference
Modifier and Type
Method
Description
`Collection<ExportReference>`
RemoteServiceAdmin.`getExportedServices()`
Return the currently active Export References.
Constructors in org.osgi.service.remoteserviceadmin with parameters of type ExportReference
Modifier
Constructor
Description
``
`RemoteServiceAdminEvent(int type, Bundle source, ExportReference exportReference, Throwable exception)`
Create a Remote Service Admin Event for an export notification.